;==============================================================================

; file: "_kernel#.scm"

; Copyright (C) 1994-2001 by Marc Feeley, All Rights Reserved.

;==============================================================================

(define-structure-type-macros
  heap-overflow-exception)

(define-structure-type-macros
  stack-overflow-exception)

(define-structure-type-macros
  nonprocedure-operator-exception
  operator
  arguments)

(define-structure-type-macros
  global-unbound-operator-exception
  global
  arguments)

(define-structure-type-macros
  global-nonprocedure-operator-exception
  global
  arguments)

(define-structure-type-macros
  wrong-number-of-arguments-exception
  procedure
  arguments)

(define-structure-type-macros
  keyword-expected-exception
  procedure
  arguments)

(define-structure-type-macros
  unknown-keyword-argument-exception
  procedure
  arguments)

(define-structure-type-macros
  c-lambda-conversion-exception
  procedure
  arguments
  code
  message)

(define-structure-type-macros
  c-define-conversion-exception
  procedure
  arguments
  code
  message)

(define-structure-type-macros
  multiple-c-return-exception)

(define-structure-type-macros
  number-of-arguments-limit-exception
  procedure
  arguments)

;==============================================================================
